Subject: bug#35383: 27.0.50; Complete process of decoding Gnus group names

From: Eric Abrahamsen <[email-masked]>
Date: Mon, 10 Jun 2019 17:03:57 -0700

On 06/11/19 08:19 AM, Katsumi Yamaoka wrote:
> Ouch!  `gnus-newsrc-alist' in the .newsrc.eld file turned into a
> list of just group names, i.e.:
>
> (setq gnus-newsrc-alist '("nnml:foo" "nnml:bar" "nnml:baz"...))
>
> Ok, I have a backup.  Not investigated it yet sorry, but I guess
> this is due to the recent changes in the scratch/gnus-decoded
> branch.

Oh yuck, that was a very stupid mistake. I thought I ran this code
before posting... The fix is easy, give me a bit and I'll add another
(tested) commit.

Sorry,
Eric